<?php

/**
 * @file
 * Provides the Friendly Captcha administration settings.
 */

/**
 * Form callback; administrative settings for Friendlycaptcha.
 */
function friendlycaptcha_admin_settings()
{
    $form['friendlycaptcha_general_settings'] = array(
        '#type' => 'fieldset',
        '#title' => t('General settings'),
    );
    $form['friendlycaptcha_general_settings']['friendlycaptcha_site_key'] = array(
        '#type' => 'textfield',
        '#title' => t('Site key'),
        '#default_value' => variable_get('friendlycaptcha_site_key', ''),
        '#maxlength' => 40,
        '#description' => t('The site key given to you when you <a href="@url">register for FriendlyCaptcha</a>.', array('@url' => 'https://friendlycaptcha.com/signup/')),
        '#required' => TRUE,
    );
    $form['friendlycaptcha_general_settings']['friendlycaptcha_api_key'] = array(
        '#type' => 'textfield',
        '#title' => t('API key'),
        '#default_value' => variable_get('friendlycaptcha_api_key', ''),
        '#maxlength' => 80,
        '#description' => t('The secret API key given to you when you <a href="@url">register for FriendlyCaptcha</a>.', array('@url' => 'https://friendlycaptcha.com/signup/')),
        '#required' => TRUE,
    );
    $form['friendlycaptcha_api_endpoint'] = [
        '#default_value' => variable_get('friendlycaptcha_api_endpoint', ''),
        '#options' => [
            'global' => t('Global API-Endpoint'),
            'eu' => t('EU API-Endpoint'),
            'eu_fallback' => t('EU API-Endpoint with fallback to Global APO-Endpoint if not available'),
        ],
        '#description' => t('Select the Friendly Captcha API endpoint for your site. Both, the EU API-Endpoint (and "with fallback to Global API-Endpoint if not available") require a paid account'),
        '#required' => TRUE,
        '#title' => t('API endpoint'),
        '#type' => 'select',
    ];

    return system_settings_form($form);
}